import Channel from "../channel.js";
export default class extends Channel {
    chName = "messagingIndex";
    static shouldShare = true;
    static requireCredential = true;
    async init(params) {
        // Subscribe messaging index stream
        this.subscriber.on(`messagingIndexStream:${this.user.id}`, (data)=>{
            this.send(data);
        });
    }
}
